/******************************************************************************
    Copyright (C) Maxell System Tech Co., Ltd.
                                      2017. All rights reserved.

        ImgLocation - user I/F sample program
******************************************************************************/
/******************************************************************************
 [t@C] main.h
 [    ]
 [    ]
******************************************************************************/

#include <stdio.h>
#include "ipxdef.h"
#include "ipxsys.h"
#include "ipxprot.h"

#include "user.h"

/******************************************************************************
 [ ֐ ] entry
 [    ] void entry( void );
 [    ] 
 [ ߂l ] 
******************************************************************************/
void _entry( void )
{
	regist_user_trigger((void*)user_trigger_func);
	regist_user_before((void*)user_before_func);
	regist_user_response((void*)user_response_func);
	regist_user_terminate((void*)user_terminate);
}

/******************************************************************************
 [ ֐ ] user_trigger_func
 [    ] void user_trigger_func( void );
 [    ] 
 [ ߂l ] 
******************************************************************************/
void user_trigger_func(void)
{
	while(1) {
		/* ͑҂ */
		tslp_tsk(200);
		wup_imgprocess();
	}
}

/******************************************************************************
 [ ֐ ] user_before_func
 [    ] int user_before_func( void );
 [    ] 
 [ ߂l ] 
******************************************************************************/
int user_before_func(void)
{
	return 0;
}

/******************************************************************************
 [ ֐ ] user_response_func
 [    ] void user_response_func( void );
 [    ] 
 [ ߂l ] 
******************************************************************************/
void user_response_func(void *response)
{
	IMGLOC_RESULT *result;

	/* LANرٓŌʏo */
	result = (IMGLOC_RESULT *)response;
	printf("user_response_func : %d %d %d %d %d %d\n",
			result->result,
			result->score,
			result->x,
			result->y,
			result->realx,
			result->realy );
}

/******************************************************************************
 [ ֐ ] user_terminate
 [    ] int user_terminate( void );
 [    ] 
 [ ߂l ] 
******************************************************************************/
void user_terminate(void)
{
	;
}

