/******************************************************************************
    Copyright (C) Maxell System Tech Co., Ltd.
                                      2017. All rights reserved.

        ImgLocation - user I/F sample program
******************************************************************************/
/******************************************************************************
 [t@C] user.h
 [    ]
 [    ]
******************************************************************************/

#ifndef __IL_USER_H
#define __IL_USER_H

#ifdef __cplusplus
extern "C" {
#endif

/* tables */
typedef struct _imgloc_result {
	int result;
	int score;
	int x;
	int y;
	int realx;
	int realy;
	int realw;
	int realh;
	int tempw;
	int temph;
	int rsv00;
	int rsv01;
	int rsv02;
	int rsv03;
} IMGLOC_RESULT;

/* ImgLocation User i/f prototype */
void regist_user_trigger(void *func);
void regist_user_before(void *func);
void regist_user_response(void *func);
void regist_user_terminate(void *func);
void wup_imgprocess(void);

/* ImgLocation User Sample prototype */
void user_trigger_func(void);
int user_before_func(void);
void user_response_func(void *response);
void user_terminate(void);

#ifdef __cplusplus
}
#endif

#endif /* __IL_USER_H */
